from babel import dates
from datetime import date

from pyramid.events import subscriber
from pyramid.events import BeforeRender


@subscriber(BeforeRender)
def add_global(event):
    dates.LC_TIME = event['request'].locale_name
    event['globals'] = {
        'format_date': dates.format_date,
        'format_datetime': dates.format_datetime,
        'today': date.today(),
    }
